network-manager (1.46.0-1ubuntu2.8) noble; urgency=medium

  * Backport Connectivity-check.ubuntu.com URI fix LP: #2148643              
    - Adding a dot works to reduce the number of DNS requests, but has a side
      effect of breaking captive portals and transparent proxies/firewalls.
      the same URI is passed as get parameter.
      The risk of having the DNS flooding is mitigated by a systemd fix, so the  
      side effect remains to have 2 DNS queries instead of one        

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 18 Jun 2026 11:33:22 +0200

network-manager (1.46.0-1ubuntu2.7) noble; urgency=medium

  * d/p/lp2126573-n-dhcp4-do-not-set-ciaddr-in-discover-state.patch:
    do not set ciaddr in DISCOVER state (LP: #2126573)

 -- Guilherme Puida Moreira <guilherme.moreira@canonical.com>  Thu, 19 Mar 2026 11:46:20 -0300

network-manager (1.46.0-1ubuntu2.6) noble; urgency=medium

  [ Serge Hallyn ]
  * debian/tests/control: add apparmor to nm Depends (LP: #2142407)

  [ Mitchell Augustin ]
  * Show incorrect password re-entry prompt for WPA3 networks (LP: #2122458)

 -- Serge Hallyn <serge@hallyn.com>  Mon, 23 Feb 2026 04:05:21 +0100

network-manager (1.46.0-1ubuntu2.5) noble; urgency=medium

  * Use iptables instead of nftables as firewall backend, to match UFW
    (LP: #2128668)

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Mon, 27 Oct 2025 14:11:40 -0500

network-manager (1.46.0-1ubuntu2.4) noble; urgency=medium

  * d/p/lp2127925-fix-autoreconnect-blocker.patch: unblock autoreconnect when a previously failed
    connection is now successful (LP: #2127925)

 -- Antoine Lassagne <antoine.lassagne@canonical.com>  Thu, 16 Oct 2025 09:23:45 +0200

network-manager (1.46.0-1ubuntu2.3) noble; urgency=medium

  * fix nmcli that could not report 6ghz wifi channels correctly (LP: #2116940)

 -- Antoine Lassagne <antoine.lassagne@canonical.com>  Tue, 15 Jul 2025 13:38:55 +0200

network-manager (1.46.0-1ubuntu2.2) noble; urgency=medium

  * d/control: Avoid calling into half-upgraded Netplan (LP: #2033259)
    NM calls 'netplan generate', which will crash if new libnetplan1 is already
    installed, but we're calling the old netplan.io Python code expecting the
    old libnetplan0 API.

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 23 Oct 2024 13:04:42 +0200

network-manager (1.46.0-1ubuntu2.1) noble; urgency=medium

  * d/p/wifi-fix-the-ranges-of-5-GHz-and-6-GHz-bands.patch
    d/p/wifi-fix-enumeration-of-6-GHz-channels-from-wiphy.patch
    - Fix detection of 6 GHz band capability for WiFi devices (LP: #2084731)

 -- Dirk Su <dirk.su@canonical.com>  Wed, 16 Oct 2024 17:16:59 +0800

network-manager (1.46.0-1ubuntu2) noble; urgency=medium

  * debian/tests/control: add Depends: python3-gi for nm_netplan.py
    (LP: #2060221)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 04 Apr 2024 15:11:48 -0400

network-manager (1.46.0-1ubuntu1) noble; urgency=medium

  * Update to the current stable version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Apr 2024 11:39:10 +0200

network-manager (1.46.0-1) unstable; urgency=medium

  * New upstream version 1.46.0
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Thu, 22 Feb 2024 17:35:02 +0100

network-manager (1.45.91-1) experimental; urgency=medium

  * New upstream version 1.45.91 (1.46 rc2)
  * Rebase patches
  * Update symbols file for libnm0
  * Switch Build-Depends on obsolete pkg-config to pkgconf

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Feb 2024 22:39:30 +0100

network-manager (1.45.90-1ubuntu1) noble; urgency=medium

  * Merge with Debian.
  * debian/patches/git_valid_gkeyfile.patch:
    - cherrypick an upstream change to fix a test issue with glib 2.79

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Feb 2024 16:17:33 +0100

network-manager (1.45.90-1) experimental; urgency=medium

  * New upstream version 1.45.90 (1.46 rc1)
  * Bump Build-Depends on libglib2.0-dev to (>= 2.42)
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Thu, 25 Jan 2024 10:32:43 +0100

network-manager (1.44.2-7ubuntu2) noble; urgency=medium

  * debian/tests: Clearly mark regular expressions, to avoid SyntaxWarning.
    This fixes autopkgtests on Python3.12, failing due to stderr output.

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 12 Feb 2024 15:08:34 +0100

network-manager (1.44.2-7ubuntu1) noble; urgency=medium

  * Merge with Debian.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Jan 2024 09:08:35 -0500

network-manager (1.44.2-7) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Explicitly build-depend on gir1.2-girepository-2.0.
    This is currently a virtual package provided by gir1.2-glib-2.0, but it
    will need to be split into a separate package during the
    GNOME 46/GLib 2.79.x cycle.
    Making this dependency explicit will also help to keep track of which
    packages will need coordination when PyGI switches from GIRepository 2.0
    to GIRepository 3.0, which again is likely to happen during the GNOME 46
    cycle. (Closes: #1059623)

 -- Michael Biebl <biebl@debian.org>  Fri, 29 Dec 2023 19:38:14 +0100

network-manager (1.44.2-6) unstable; urgency=medium

  * Revert "Add versioned Breaks against isc-dhcp-client"
    Having a Breaks against isc-dhcp-client can lead to unwanted package
    removals by apt. As the default dhcp backend in network-manager has been
    switched from dhclient to internal, the Breaks is not strictly necessary.
    Users that have explicitly configured "dhcp=dhclient" are advised to
    switch to the internal option (recommended) or temporarily disable the
    sbin.dhclient AppArmor profile shipped by isc-dhcp-client until #1055067
    is fixed. (Closes: #1056638)

 -- Michael Biebl <biebl@debian.org>  Mon, 27 Nov 2023 07:45:49 +0100

network-manager (1.44.2-5) unstable; urgency=medium

  * Replace systemd Build-Depends with systemd-dev.
    Only systemd.pc is required during build which is now shipped in
    systemd-dev.
  * Add versioned Breaks against isc-dhcp-client.
    The AppArmor policy in isc-dhcp-client needs to be updated to account
    for the move of the nm-dhcp-helper binary to /usr/libexec.
    (Closes: #1056313)

 -- Michael Biebl <biebl@debian.org>  Mon, 20 Nov 2023 23:02:41 +0100

network-manager (1.44.2-4) unstable; urgency=medium

  * Fix typo in latest NEWS entry
  * Ship /etc/NetworkManager/VPN directory in network-manager package.
    This will make an eventual cleanup easier once all VPN plugin packages
    have moved their .name files to /usr/lib/NetworkManager/VPN.
  * core: propagate the user-requested reason for act-request disconnection.
    This avoids that deactivating a Wireguard VPN connection triggers an
    error notification.

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Nov 2023 20:57:16 +0100

network-manager (1.44.2-3) unstable; urgency=medium

  * Move systemd services files and udev rules to /usr.
    Add a corresponding versioned Build-Depends on debhelper (>= 13.11.6) to
    ensure we have a recent enough dh_installsystemd.
  * Install helper binaries into /usr/libexec (Closes: #1026388)

 -- Michael Biebl <biebl@debian.org>  Fri, 20 Oct 2023 16:35:24 +0200

network-manager (1.44.2-2) unstable; urgency=medium

  * Stop executing ifupdown hook scripts on network state changes.
    Many of those script are not meant to be run within a NetworkManager
    context. Packages that would benefit from reacting on such network state
    changes should install a native NetworkManager-dispatcher script.
    The interface is documented in more detail in the
    NetworkManager-dispatcher(8) man page.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Oct 2023 14:24:23 +0200

network-manager (1.44.2-1ubuntu2) noble; urgency=medium

  [ Lukas Märdian ]
  * network-manager.postinst: Skip unknown connection profiles (LP: #2039503)
  * d/network-manager.postinst: Drop reboot notification (LP: #2040292)

  [ Danilo Egea Gondolfo ]
  * debian/tests/nm_netplan.py
    Start Network Manager via systemd. The .service unit file sets
    ProtectSystem to true and we want to run the Netplan tests with this
    restriction enabled.
  * d/p/netplan/0003-Allow-the-NetworkManager-daemon-to-write-to-lib-netp.patch
    Allow-list /usr/lib/netplan so libnetplan can open files from that
    directory with writing permission. See LP: #2040153
  * debian/tests/control
    Add all the dependencies required by the nm_netplan.py tests.
  * debian/tests/network_test_base.py.
    Increase the waiting time between creating a veth pair and reading their
    MAC addresses. On arm64, the system is taking longer to change the MAC
    after creation, leading to failures due to differences in the expected
    and current MAC addresses. See LP: #2023183

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 26 Oct 2023 11:48:18 +0200

network-manager (1.44.2-1ubuntu1) mantic; urgency=medium

  * Merge with Debian (LP: #2038439)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 04 Oct 2023 09:40:22 -0400

network-manager (1.44.2-1) unstable; urgency=medium

  * New upstream version 1.44.2
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Wed, 04 Oct 2023 12:09:39 +0200

network-manager (1.44.0-1ubuntu2) mantic; urgency=medium

  * d/t/{nm.py,nm_netplan.py,network_test_base.py} (LP: #2033391):
    - Wait until NM is ready before starting tests
    - Add a delay loop checking if NM is already on-line before running each
      test.
  * d/t/nm.py: remove expectedFailure from both tests in Hotplug.
    - It's not clear why they were expected to fail. With NM 1.44.0 they are passing.
    - As this class states that the APs are set up with NM already running, in
      test_auto_detect_ap() self.start_nm() was moved to run before
      self.setup_ap() and the assert was fixed to get the actual gobject data.

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Wed, 30 Aug 2023 10:09:50 +0100

network-manager (1.44.0-1ubuntu1) mantic; urgency=medium

  * Resynchronize on Debian to the current stable version
    - Patches refreshed
  * Remove erroneous symbol added in 1.42.8-1

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 10 Aug 2023 15:40:38 +0200

network-manager (1.44.0-1) unstable; urgency=medium

  * New upstream version 1.44.0
  * Explicitly set the modprobe path during configure
  * Update symbols file for libnm0
  * Rebase patches
  * Remove obsolete maintscript code

 -- Michael Biebl <biebl@debian.org>  Wed, 09 Aug 2023 22:22:22 +0200

network-manager (1.42.8-1ubuntu1) UNRELEASED; urgency=medium

  * Resynchronize on Debian to the current stable version
  * debian/libnm0.symbols:
    - updated symbols for the new version

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 09 Aug 2023 16:08:26 +0200

network-manager (1.42.8-1) unstable; urgency=medium

  * New upstream version 1.42.8

 -- Michael Biebl <biebl@debian.org>  Wed, 28 Jun 2023 15:22:30 +0200

network-manager (1.42.6-2ubuntu2) mantic; urgency=medium

  * Remove isc-dhcp-client from Depends
    Unless explicitly configured otherwise the internal DHCP client is used.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 18 Jul 2023 10:51:11 +0200

network-manager (1.42.6-2ubuntu1) mantic; urgency=medium

  * Resynchronize on Debian to the current stable version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 22 Jun 2023 12:26:23 +0200

network-manager (1.42.6-2) unstable; urgency=medium

  * Stop installing deprecated polkit pkla file.
    The pkla backend has been superseded by the JS based backend.

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Jun 2023 23:08:24 +0200

network-manager (1.42.6-1) unstable; urgency=medium

  * New upstream version 1.42.6
  * Rebase patches
  * Use Build-Depends on polkitd and libpolkit-gobject-1-dev for polkit.its.
    The obsolete policykit-1 package is going away. (Closes: #1025606)

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Jun 2023 14:48:14 +0200

network-manager (1.42.4-1ubuntu7) mantic; urgency=medium

  [ Michael Biebl ]
  * Use Build-Depends on polkitd and libpolkit-gobject-1-dev for polkit.its
    (Closes: #1025606)

  [ Danilo Egea Gondolfo ]
  * d/t/control: Add easy-rsa as a test dependency
  * d/t/nm.py: generalize Wifi auth configuration.
    The idea is to make is easier to implement tests using different
    authentication methods.
  * d/t/nm.py: implement WPA-EAP 802.1x tests.
    These tests are related to an issue in Netplan but they are also useful
    for network-manager itself. See LP#2016625
  * d/t/nm_netplan.py: add new test cases for ip-tunnel and wireguard
    connections, using Netplan integration. See LP#2016473

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 20 Jun 2023 12:07:12 +0200

network-manager (1.42.4-1ubuntu5) mantic; urgency=medium

  * d/network-manager.postinst: fix netplan migration logic.
    The "continue" is being executed in a subshell so it's not skipping the
    next commands. It will fail if Network Manager is not running. See LP: #2022023
  * d/network-manager.preinst: use /var/lib/NetworkManager for backups
    /root is not a system directory so we shouldn't use it. It might not
    even exist or the package manager might run in a sandbox and not have
    access to it. See LP: #2021937

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Thu, 01 Jun 2023 15:17:57 +0100

network-manager (1.42.4-1ubuntu4) mantic; urgency=medium

  * d/t/nm_netplan.py:openvpn: set a metric for the extra default route.
    With a higher metric the route shouldn't be selected over the main one.
    Also, use the same subnet already used by the nm.py tests.

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Thu, 25 May 2023 11:00:31 +0100

network-manager (1.42.4-1ubuntu3) mantic; urgency=medium

  * Upload netplan integration to the Ubuntu archive, details available on
    https://discourse.ubuntu.com/t/call-for-testing-networkmanager-yaml-settings

  [ Lukas Märdian ]
  * d/{control,rules,patches}: Prepare libnetplan build (non i386)
  * debian/patches/netplan: Add libnetplan backend integration patch
  * d/network-manager.preinst: backup previous configuration automatically
  * d/network-manager.postinst: Trigger Netplan migration on install/upgrade

  [ Danilo Egea Gondolfo ]
  * d/t/nm.py: Fix autopkgtests when Netplan is in use
  * d/t/nm_netplan.py: Add autopkgtests for the netplan integration

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 May 2023 13:30:31 +0200

network-manager (1.42.4-1ubuntu2) lunar; urgency=medium

  * d/t/nm.py: Fix autopkgtests with NM-1.42's 'lo' connection (LP: #2009543)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 28 Mar 2023 15:13:56 +0200

network-manager (1.42.4-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian to the current stable version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 23 Mar 2023 21:31:09 +0100

network-manager (1.42.4-1) unstable; urgency=medium

  * New upstream version 1.42.4
  * Rebase patches
  * Use execute_before instead of override for dh_install

 -- Michael Biebl <biebl@debian.org>  Thu, 09 Mar 2023 19:42:33 +0100

network-manager (1.42.2-2) unstable; urgency=medium

  * dnsmasq: process both global and per-device configuration.
    Cherry-pick upstream patch to fix a regression introduced in 1.42 when
    using the dnsmasq DNS backend and a global DNS configuration.
    (Closes: #1031891)

 -- Michael Biebl <biebl@debian.org>  Fri, 03 Mar 2023 17:57:30 +0100

network-manager (1.42.2-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Feb 2023 18:14:55 -0500

network-manager (1.42.2-1) unstable; urgency=medium

  * New upstream version 1.42.2
  * Drop patches merged upstream
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Thu, 23 Feb 2023 17:53:42 +0100

network-manager (1.42.0-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Feb 2023 10:06:44 -0500

network-manager (1.42.0-1) unstable; urgency=medium

  * New upstream version 1.42.0
  * Rebase patches
  * Update symbols file for libnm0
  * Cherry-pick upstream patch to fix regression in gtk-doc generation

 -- Michael Biebl <biebl@debian.org>  Fri, 10 Feb 2023 17:38:16 +0100

network-manager (1.40.12-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 26 Jan 2023 16:57:14 -0500

network-manager (1.40.12-1) unstable; urgency=medium

  * New upstream version 1.40.12

 -- Michael Biebl <biebl@debian.org>  Thu, 26 Jan 2023 21:54:37 +0100

network-manager (1.40.10-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 13 Jan 2023 15:22:40 -0500

network-manager (1.40.10-1) unstable; urgency=medium

  * New upstream version 1.40.10

 -- Michael Biebl <biebl@debian.org>  Wed, 11 Jan 2023 16:24:40 +0100

network-manager (1.40.8-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 04 Jan 2023 18:29:41 -0500

network-manager (1.40.8-1) unstable; urgency=medium

  * Add lintian override for source-is-missing false positive
  * New upstream version 1.40.8
  * Bump Standards-Version to 4.6.2
  * Update list of Uploaders.
    Remove Uploaders that haven't been active for a long time.
    Thanks Sjoerd and Aron for their past work on the package.

 -- Michael Biebl <biebl@debian.org>  Mon, 19 Dec 2022 11:30:35 +0100

network-manager (1.40.6-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 02 Dec 2022 16:31:46 -0500

network-manager (1.40.6-1) unstable; urgency=medium

  * New upstream version 1.40.6
  * Depend on polkitd in preference to policykit-1.
    The latter is a deprecated, transitional package, that also pulls in
    pkexec, which network-manager doesn't need. Keep policykit-1 as an
    alternative dependency to make backports easier.

 -- Michael Biebl <biebl@debian.org>  Wed, 30 Nov 2022 22:59:25 +0100

network-manager (1.40.4-1ubuntu2) lunar; urgency=medium

  * Fix network-manager-config-connectivity-ubuntu.postinst

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 29 Nov 2022 14:25:45 -0500

network-manager (1.40.4-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
  * Drop patch that doesn't appear to be needed any more:
    - ubuntu_revert_systemd.patch (LP: #1914062)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 20 Sep 2022 13:39:43 -0400

network-manager (1.40.4-1) unstable; urgency=medium

  * New upstream version 1.40.4
  * Update symbols file for libnm0
  * Replace dependency on dbus with default-dbus-system-bus | dbus-system-bus.
    This makes it easier to swap in alternative implementations like
    dbus-broker.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Nov 2022 18:41:10 +0100

network-manager (1.40.2-1) unstable; urgency=medium

  * New upstream version 1.40.2

 -- Michael Biebl <biebl@debian.org>  Tue, 18 Oct 2022 12:29:15 +0200

network-manager (1.40.0-1ubuntu2) kinetic; urgency=medium

  * Don't recommend iwd. It's less risky to keep using wpasupplicant
    for Ubuntu 22.10

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 27 Sep 2022 10:31:16 -0400

network-manager (1.40.0-1ubuntu1) kinetic; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend iwd as preferred alternative to wpasupplicant
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 20 Sep 2022 13:39:43 -0400

network-manager (1.40.0-1) unstable; urgency=medium

  * New upstream version 1.40.0
  * Rebase patches
  * Bump pre-release symbols from 1.39.x to version 1.40.0

 -- Michael Biebl <biebl@debian.org>  Fri, 26 Aug 2022 21:08:04 +0200

network-manager (1.39.90-2) experimental; urgency=medium

  * Release version 1.39.90-1 to experimental
  * Explicitly disable LTO via dpkg-buildflags.
    NetworkManager requires additional build flags like -flto-partition=none
    to build properly with LTO enabled. (Closes: #1015556)

 -- Michael Biebl <biebl@debian.org>  Thu, 25 Aug 2022 12:48:00 +0200

network-manager (1.39.90-1ubuntu3) kinetic; urgency=medium

  * Cherry-pick 2 patches to fix bonding regressions discovered
    with failing netplan autopkgtests. Thanks Lukas Märdian.
    (LP: #1987001)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 Aug 2022 13:26:02 -0400

network-manager (1.39.90-1ubuntu2) kinetic; urgency=medium

  * debian/control:
    - recommends iwd as a preferred alternative to wpasupplicant since
      the MIR has been reviewed now

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Aug 2022 17:09:30 +0200

network-manager (1.39.90-1ubuntu1) kinetic; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto.
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 18 Aug 2022 08:59:25 -0400

network-manager (1.39.90-1) experimental; urgency=medium

  * New upstream version 1.39.90 (1.40 rc1)
  * Rebase patches
  * Drop obsolete --with-dnssec-trigger configure option.
    The unbound DNS plugin was marked deprecated for a while and has been
    removed now in this release.
  * Simplify dh_autoreconf override by calling upstream provided autogen.sh.
    This ensures the correct sequence of commands is run. In this specific
    case we were still using intltoolize when upstream dropped its usage in
    favour of gettext a while ago.
  * Replace intltool Build-Depends with gettext
  * Add Build-Depends on policykit-1.
    The file /usr/share/gettext/its/polkit.its is required when generating
    the translations.
  * Add Build-Depends on python3-pexpect.
    Required by the test suite.
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Aug 2022 11:35:39 +0200

network-manager (1.38.4-1) unstable; urgency=medium

  * New upstream version 1.38.4
    - core: avoid stale entries in the DNS manager for non-virtual devices
      (Closes: #1006724)
  * Clean up build dependencies

 -- Michael Biebl <biebl@debian.org>  Sat, 13 Aug 2022 15:51:32 +0200

network-manager (1.38.2-1ubuntu1) kinetic; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto.
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 Jun 2022 13:35:27 +0200

network-manager (1.38.2-1) unstable; urgency=medium

  * New upstream version 1.38.2
  * Rebase patches
  * Bump Standards-Version to 4.6.1
  * Use dh-sequence-gir instead of gir addon

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Jun 2022 22:26:35 +0200

network-manager (1.38.0-2) unstable; urgency=medium

  * Cherry-pick a couple of fixes from upstream nm-1-38 branch
  * Install additional config examples found in examples/nm-conf.d/
    (Closes: #1010889)

 -- Michael Biebl <biebl@debian.org>  Wed, 18 May 2022 23:05:00 +0200

network-manager (1.38.0-1) unstable; urgency=medium

  * New upstream version 1.38.0
  * Bump symbol versions to final 1.38.0 release

 -- Michael Biebl <biebl@debian.org>  Fri, 13 May 2022 15:42:33 +0200

network-manager (1.37.92-1) unstable; urgency=medium

  * New upstream version 1.37.92 (1.38 rc3)
  * Rebase patches
  * Update network-manager.docs
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Wed, 04 May 2022 16:45:54 +0200

network-manager (1.36.4-2) unstable; urgency=medium

  * supplicant: enable WPA3 transition mode only when interface supports PMF.
    See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1003907

 -- Michael Biebl <biebl@debian.org>  Mon, 04 Apr 2022 11:39:20 +0200

network-manager (1.36.4-1) unstable; urgency=medium

  * New upstream version 1.36.4

 -- Michael Biebl <biebl@debian.org>  Wed, 23 Mar 2022 20:39:16 +0100

network-manager (1.36.2-1ubuntu1) jammy; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto.
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Mar 2022 14:37:15 -0500

network-manager (1.36.2-1) unstable; urgency=medium

  * New upstream version 1.36.2
  * Rebase patches
  * Downgrade log message to info if we fail to open /run/network/ifstate

 -- Michael Biebl <biebl@debian.org>  Tue, 08 Mar 2022 09:50:49 +0100

network-manager (1.36.0-2) unstable; urgency=medium

  * core: initialize l3cd dns-priority for ppp and wwan (Closes: #1006396)

 -- Michael Biebl <biebl@debian.org>  Sat, 26 Feb 2022 10:57:32 +0100

network-manager (1.36.0-1ubuntu1) jammy; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto.
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 24 Feb 2022 15:06:34 -0500

network-manager (1.36.0-1) unstable; urgency=medium

  * New upstream version 1.36.0
  * Bump symbol versions for pre-release versions
  * Drop old network-manager.NEWS file

 -- Michael Biebl <biebl@debian.org>  Thu, 24 Feb 2022 19:59:26 +0100

network-manager (1.35.92-1ubuntu1) jammy; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto.
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 22 Feb 2022 17:06:55 -0500

network-manager (1.35.92-1) unstable; urgency=medium

  * New upstream version 1.35.92 (1.36 rc3)
  * Rename polkit rules file to org.freedesktop.NetworkManager.rules
  * Set path to nft binary
  * Demote iptables to Suggests

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Feb 2022 21:50:39 +0100

network-manager (1.35.91-1) unstable; urgency=medium

  * New upstream version 1.35.91 (1.36 rc2)
  * Rebase patches
  * Update debian/watch to version 4
  * Update symbols file for libnm0
  * Add lintian override for custom-library-search-path
  * Enable all hardening build flags
  * Clean up nm-priv-helper.service enablement state on upgrades

 -- Michael Biebl <biebl@debian.org>  Mon, 14 Feb 2022 22:24:06 +0100

network-manager (1.35.91-0ubuntu1) jammy; urgency=medium

  * New upstream release
  * debian/libnm0.symbols: Add new symbols

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 10 Feb 2022 14:49:11 -0500

network-manager (1.35.90-0ubuntu1) jammy; urgency=medium

  * New upstream release
  * Refresh patches

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Feb 2022 14:12:25 -0500

network-manager (1.34.0-2ubuntu3) jammy; urgency=medium

  * d/tests/control: Have nm.py autopkgtest Depend on wpasupplicant

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 07 Feb 2022 16:40:52 -0500

network-manager (1.34.0-2ubuntu2) jammy; urgency=medium

  * Revert "Try removing ubuntu_revert_systemd.patch" and refresh the patch

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 03 Feb 2022 16:11:38 -0500

network-manager (1.34.0-2ubuntu1) jammy; urgency=medium

  * Resynchronize on Debian (LP: #1958710), remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto.
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch
  * Try removing ubuntu_revert_systemd.patch again

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 03 Feb 2022 12:18:58 -0500

network-manager (1.34.0-2) unstable; urgency=medium

  * Demote wpasupplicant to Recommends.
    There are enough use cases for network-manager not involving Wi-Fi which
    justifies to make this dependency optional. (Closes: #919619, #980218)

 -- Michael Biebl <biebl@debian.org>  Tue, 18 Jan 2022 20:59:36 +0100

network-manager (1.34.0-1) unstable; urgency=medium

  * New upstream version 1.34.0
  * Rebase patches
  * Install nm-priv-helper service
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Jan 2022 00:18:58 +0100

network-manager (1.32.12-1) unstable; urgency=medium

  * New upstream version 1.32.12
  * Rebase patches
  * Update symbols file for libnm0
  * Bump Standards-Version to 4.6.0
  * Drop dh_missing override.
    As --fail-missing is the default in compat 13, the override is no longer
    necessary.
  * Remove obsolete upgrade code
  * Drop obsolete Breaks/Replaces
  * Update debian/copyright
  * Remove isc-dhcp-client from Suggests.
    Unless explicitly configured otherwise the internal DHCP client is used.

 -- Michael Biebl <biebl@debian.org>  Sat, 02 Oct 2021 09:42:17 +0200

network-manager (1.30.6-1) unstable; urgency=medium

  * New upstream version 1.30.6
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Mon, 16 Aug 2021 09:56:57 +0200

network-manager (1.30.0-2) unstable; urgency=medium

  * core: fix crash in nm_wildcard_match_check()
    (CVE-2021-20297, Closes: #986809)

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Apr 2021 21:15:36 +0200

network-manager (1.32.12-0ubuntu2) jammy; urgency=medium

  * debian/tests: drop which usage to fix adt failure in jammy

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 11 Nov 2021 12:07:34 +0000

network-manager (1.32.12-0ubuntu1) impish; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 27 Sep 2021 17:07:29 +0200

network-manager (1.32.10-0ubuntu1) impish; urgency=medium

  * New upstream version
  * debian/libnm0.symbols:
    - updated symbols for the new version

 -- Sebastien Bacher <seb128@debian.org>  Wed, 25 Aug 2021 16:10:58 +0200

network-manager (1.32.2-0ubuntu2) impish; urgency=medium

  * debian/patches/ubuntu_revert_systemd.patch:
    - restore the workaround for the systemd and lxd issue, it's still
      needed (lp: #1936312)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 15 Jul 2021 16:45:08 +0200

network-manager (1.32.2-0ubuntu1) impish; urgency=medium

  * New upstream version
  * debian/*.py:
    - update python formatting to be compatible with the checks
  * debian/patches/ubuntu_revert_systemd.patch:
    - remove, the issue was fixed in systemd
  * debian/patches/CVE-2021-20297.patch:
    - remove, the fix is in the new version
  * debian/libnm0.symbols
    - updated for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 05 Jul 2021 20:36:31 +0200

network-manager (1.30.0-1ubuntu4) impish; urgency=medium

  * d/t/nm.py: adapt to changes dnsmasq behavior (LP: #1894619)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 02 Jul 2021 11:13:46 +0200

network-manager (1.30.0-1ubuntu3) hirsute; urgency=medium

  * SECURITY UPDATE: crash via setting match.path
    - debian/patches/CVE-2021-20297.patch: fix match in
      src/core/nm-core-utils.c.
    - CVE-2021-20297

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 12 Apr 2021 06:56:47 -0400

network-manager (1.30.0-1ubuntu2) hirsute; urgency=medium

  * Configure with --enable-lto.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 29 Mar 2021 11:48:39 +0200

network-manager (1.30.0-1ubuntu1) hirsute; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - Use systemd-resolved instead of dnsmasq
    - debian/control:
      + Depend on isc-dhcp-client instead of recommends
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - debian/default-wifi-powersave-on.conf, debian/rules:
      + Install a config file to enable WiFi powersave
    - Enable build tests
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch
    - debian/tests/urfkill-integration - don't stop/start network manager
    - debian/patches/ubuntu_revert_systemd.patch:
      + temporarly revert an upstream commit that made udev enabled under lxc,
        the new systemd doesn't work there (lp: #1914062)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Feb 2021 15:30:59 +0100

network-manager (1.30.0-1) unstable; urgency=medium

  * New upstream version 1.30.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Thu, 18 Feb 2021 19:25:36 +0100

network-manager (1.29.90-2) unstable; urgency=medium

  * Add iproute2 to Build-Depends.
    Required by the test suite. Mark as <!nocheck> accordingly.
  * Cherry-pick fixes from upstream nm-1-30 branch
    - Fixes assertion when running the python-dbusmock test suite
      (Closes: #982613)
    - Replaces our custom polkit-agent-helper-1 patch

 -- Michael Biebl <biebl@debian.org>  Tue, 16 Feb 2021 22:54:54 +0100

network-manager (1.29.90-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream version 1.29.90 (1.30 rc1)
  * Rebase patches
  * Update symbols file for libnm0
  * Fix polkit-agent-helper-1 path

  [ Helmut Grohne ]
  * Drop unused Build-Depends (Closes: #979378)

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Feb 2021 20:09:16 +0100

network-manager (1.28.0-2ubuntu2) hirsute; urgency=medium

  * debian/patches/ubuntu_revert_systemd.patch:
    - temporarly revert an upstream commit that made udev enabled under lxc,
      the new systemd doesn't work there (lp: #1914062)

  [ Lukas Märdian ]
  * debian/tests/network_test_base.py:
    Fix race when reading the MAC address of veth interfaces with new systemd

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 Feb 2021 10:23:07 +0100

network-manager (1.28.0-2ubuntu1) hirsute; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - Use systemd-resolved instead of dnsmasq
    - debian/control:
      + Depend on isc-dhcp-client instead of recommends
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - debian/default-wifi-powersave-on.conf, debian/rules:
      + Install a config file to enable WiFi powersave
    - Enable build tests
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch
    - debian/tests/urfkill-integration - don't stop/start network manager

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 11 Jan 2021 18:10:30 +0100

network-manager (1.28.0-2) unstable; urgency=medium

  * Demote libpam-systemd to Recommends.
    This allows users to use and experiment with other init systems. Such a
    setup is neither tested nor fully supported and users need to be aware
    that some functionality might be broken. (Closes: #921012)
  * Recommend wireless-regdb instead of crda.
    CRDA is no longer needed as of Linux kernel v4.15. (Closes: #973241)
  * Bump Standards-Version to 4.5.1

 -- Michael Biebl <biebl@debian.org>  Thu, 31 Dec 2020 21:38:43 +0100

network-manager (1.28.0-1) unstable; urgency=medium

  * New upstream version 1.28.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Dec 2020 22:48:28 +0100

network-manager (1.27.91-2) unstable; urgency=medium

  * Revert "dns: change default DNS priority of VPNs to -50" (Closes: #972688)

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Nov 2020 14:59:00 +0100

network-manager (1.27.91-1) unstable; urgency=medium

  * New upstream version 1.27.91 (1.28 rc2)
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Oct 2020 22:36:31 +0200

network-manager (1.27.90-3) unstable; urgency=medium

  [ Thorsten Glaser ]
  * Adjust syscall numbers for x32 vs. amd64, fixes FTBFS on x32

 -- Michael Biebl <biebl@debian.org>  Fri, 09 Oct 2020 16:03:16 +0200

network-manager (1.27.90-2) unstable; urgency=medium

  * Cherry-pick a couple of upstream patches.
    Hopefully fixes the build and test-suite failures on some of the more
    exotic architectures.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Oct 2020 11:34:31 +0200

network-manager (1.27.90-1) unstable; urgency=medium

  * New upstream version 1.27.90 (1.28 rc1)
    - Fix generated XML syntax in tools/generate-docs-nm-settings-docs-gir.py
      (Closes: #971144)
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Mon, 05 Oct 2020 23:34:33 +0200

network-manager (1.26.2-1ubuntu1) groovy; urgency=medium

  * Update to the current stable version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 31 Aug 2020 11:09:40 +0200

network-manager (1.26.2-1) unstable; urgency=medium

  * New upstream version 1.26.2
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Wed, 19 Aug 2020 10:30:53 +0200

network-manager (1.26.0-1ubuntu1) groovy; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - Use systemd-resolved instead of dnsmasq
    - debian/control:
      + Depend on isc-dhcp-client instead of recommends
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - debian/default-wifi-powersave-on.conf, debian/rules:
      + Install a config file to enable WiFi powersave
    - Enable build tests
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch
    - debian/tests/urfkill-integration - don't stop/start network manager

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 27 Jul 2020 17:09:03 +0200

network-manager (1.26.0-1) unstable; urgency=medium

  * New upstream version 1.26.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Mon, 13 Jul 2020 22:34:27 +0200

network-manager (1.25.91-2) unstable; urgency=medium

  [ Sebastien Bacher ]
  * Use the correct service name in README.Debian, the compat one has been
    removed

 -- Michael Biebl <biebl@debian.org>  Tue, 07 Jul 2020 21:28:37 +0200

network-manager (1.25.91-1) unstable; urgency=medium

  * New upstream version 1.25.91 (1.26 rc2)
  * Remove SysV init script

 -- Michael Biebl <biebl@debian.org>  Thu, 02 Jul 2020 01:17:08 +0200

network-manager (1.25.90-1) unstable; urgency=medium

  * New upstream version 1.25.90 (1.26 rc1)
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Sun, 28 Jun 2020 19:29:43 +0200

network-manager (1.24.2-1ubuntu2) groovy; urgency=medium

  * debian/20-connectivity-ubuntu.conf: Add trailing dot to make
    connectivity-check.ubuntu.com. absolute and reduce NXDOMAIN
    warning noise, thanks MarchH (lp: #1880258)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 29 Jun 2020 16:20:07 +0200

network-manager (1.24.2-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream version 1.24.2
  * Install firewalld zone for connection sharing

  [ Sebastien Bacher ]
  * The iptables binary is now installed in /usr/sbin/

 -- Michael Biebl <biebl@debian.org>  Sun, 21 Jun 2020 13:44:56 +0200

network-manager (1.24.0-1ubuntu2) groovy; urgency=medium

  * debian/rules:
    - the iptables binary is in /usr/sbin now, use the correct location in
      the configure. Should fix the hotspot feature not working in GNOME
      on upgraded systems which haven't been usrmerged.
      (lp: #1870359)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 20 May 2020 12:03:07 +0200

network-manager (1.24.0-1ubuntu1) groovy; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - Use systemd-resolved instead of dnsmasq
    - debian/control:
      + Depend on isc-dhcp-client instead of recommends
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - debian/network-manager.maintscript
      + Remove /etc/dbus-1/system.d/nm-ofono.conf
    - debian/default-wifi-powersave-on.conf, debian/rules:
      + Install a config file to enable WiFi powersave
    - Enable build tests
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch
    - debian/tests/urfkill-integration - don't stop/start network manager

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 19 May 2020 17:07:30 +0200

network-manager (1.24.0-1) unstable; urgency=medium

  * New upstream version 1.24.0
  * Rebase patches
  * Drop Don-t-setup-Sleep-Monitor-if-not-booted-with-systemd.patch
  * Bump debhelper-compat to 13

 -- Michael Biebl <biebl@debian.org>  Sat, 09 May 2020 21:12:22 +0200

network-manager (1.23.90-1) unstable; urgency=medium

  * New upstream version 1.23.90 (1.24 rc1)
  * Rebase patches
  * Update symbols file for libnm0
  * Add Build-Depends-Package field to libnm0.symbols

 -- Michael Biebl <biebl@debian.org>  Sun, 12 Apr 2020 00:46:53 +0200

network-manager (1.22.10-1ubuntu3) groovy; urgency=medium

  * No-change rebuild to bump Groovy version number.

 -- Dan Streetman <ddstreet@canonical.com>  Thu, 30 Apr 2020 07:47:49 -0400

network-manager (1.22.10-1ubuntu2) focal; urgency=medium

  * d/t/killswitches-no-urfkill
    - Call udevadm settle before nmcli radio wifi
      To make sure that change is updated. (LP: #1733321)

 -- Seyeong Kim <seyeong.kim@canonical.com>  Mon, 20 Apr 2020 22:40:44 -0700

network-manager (1.22.10-1ubuntu1) focal; urgency=medium

  * Update to the current stable version, merging from Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Mar 2020 16:27:29 +0100

network-manager (1.22.10-1) unstable; urgency=medium

  * New upstream version 1.22.10
  * Mark network-manager-dev as Architecture: all and Multi-Arch: foreign
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Fri, 13 Mar 2020 00:58:03 +0100

network-manager (1.22.8-1) unstable; urgency=medium

  * New upstream version 1.22.8
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Thu, 20 Feb 2020 00:27:58 +0100

network-manager (1.22.6-1) unstable; urgency=medium

  * New upstream version 1.22.6
  * Bump Standards-Version to 4.5.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Fri, 31 Jan 2020 18:14:59 +0100

network-manager (1.22.4-1) unstable; urgency=medium

  * New upstream version 1.22.4
  * Rebase patches
  * n-dhcp4: fix integer context in n_dhcp4_client_probe_transition_nak() on
    32 bit

 -- Michael Biebl <biebl@debian.org>  Wed, 15 Jan 2020 03:00:29 +0100

network-manager (1.22.2-2) unstable; urgency=medium

  * More nettools DHCP fixes (Closes: #947613)

 -- Michael Biebl <biebl@debian.org>  Thu, 09 Jan 2020 22:26:29 +0100

network-manager (1.22.2-1) unstable; urgency=medium

  * New upstream version 1.22.2
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Thu, 26 Dec 2019 07:17:58 +0100

network-manager (1.22.0-2) unstable; urgency=medium

  * dhcp: nettools: fix parsing of search domains option (Closes: #947003)

 -- Michael Biebl <biebl@debian.org>  Mon, 23 Dec 2019 18:04:05 +0100

network-manager (1.22.0-1) unstable; urgency=medium

  * New upstream version 1.22.0
  * Rebase patches
  * Explicitly disable (experimental) nm-cloud-setup tool
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Dec 2019 19:05:33 +0100

network-manager (1.20.8-1ubuntu2) focal; urgency=medium

  * debian/rules:
    - Omit building the uninstallable network-manager binary (depends on
      wpasupplicant) on i386

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 10 Jan 2020 18:26:29 +0100

network-manager (1.20.8-1ubuntu1) focal; urgency=medium

  * New upstream version, merged from Debian
  * debian/patches/git_wpa_sae.patch:
    - removed, included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Jan 2020 17:00:01 +0100

network-manager (1.20.8-1) unstable; urgency=medium

  * New upstream version 1.20.8
  * Rebase patches
  * Bump Standards Version to 4.4.1

 -- Michael Biebl <biebl@debian.org>  Mon, 25 Nov 2019 19:23:25 +0100

network-manager (1.20.6-1) unstable; urgency=medium

  * New upstream version 1.20.6
    - Add support for iwd 1.0. (Closes: #944259)
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Wed, 06 Nov 2019 22:32:54 +0100

network-manager (1.20.4-2) unstable; urgency=medium

  * Install directories as created by upstream build system.
    Drop network-manager.dirs and instead use the directories created by the
    upstream build system. Fix permissions of /var/lib/NetworkManager to be
    0700 as it contains possibly sensitive data and should not be
    world-readable.
  * Fix permissions of /var/lib/NetworkManager/secret_key on upgrades.
    The file mode is supposed to be 0600. (Closes: #941609)

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Oct 2019 00:30:01 +0200

network-manager (1.20.4-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream version 1.20.4

  [ Andreas Henriksson ]
  * Switch build-dependencies to python3.
    The tests are designed to work with either python2 or python3.
    We should be able to simply switch build-dependencies to python3
    equivalents. However if something transitively pulls in python2 the
    AM_PATH_PYTHON autoconf macro will find python(2) binary, so we
    explicitly set PYTHON=/usr/bin/python3. (Closes: #938944)

 -- Michael Biebl <biebl@debian.org>  Mon, 30 Sep 2019 16:01:19 +0200

network-manager (1.20.2-1) unstable; urgency=medium

  * New upstream version 1.20.2
  * Track stable releases in watch file
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Fri, 06 Sep 2019 10:43:28 +0200

network-manager (1.20.0-1) unstable; urgency=medium

  * New upstream version 1.20.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Tue, 06 Aug 2019 22:55:57 +0200

network-manager (1.19.90-2) unstable; urgency=medium

  * Demote isc-dhcp-client to Suggests.
    The DHCP client now defaults to "internal". This default can be
    overridden at run time by setting the main.dhcp option in the
    configuration file. The old default was "dhclient" and required
    isc-dhcp-client. (Closes: #933545)

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Aug 2019 10:42:16 +0200

network-manager (1.19.90-1) unstable; urgency=medium

  * New upstream version 1.19.90 (1.20 rc1)
  * Drop obsolete configure flags
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Jul 2019 13:35:47 +0200

network-manager (1.18.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Jul 2019 00:36:17 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog network-manager-dev`.
